# DCM/DFA Reporting And Trafficking API . userRolePermissions

## Instance Methods

Gets one user role permission by ID.

Gets a list of user role permissions, possibly filtered.

### Method Details

`get(profileId, id)`

    Gets one user role permission by ID.

    Args:
      profileId: string, User profile ID associated with this request. (required)
      id: string, User role permission ID. (required)

    Returns:
      An object of the form:

        { # Contains properties of a user role permission.
        "permissionGroupId": "A String", # ID of the permission group that this user role permission belongs to.
        "kind": "dfareporting#userRolePermission", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#userRolePermission".
        "availability": "A String", # Levels of availability for a user role permission.
        "name": "A String", # Name of this user role permission.
        "id": "A String", # ID of this user role permission.
      }

`list(profileId, ids=None)`

    Gets a list of user role permissions, possibly filtered.

    Args:
      profileId: string, User profile ID associated with this request. (required)
      ids: string, Select only user role permissions with these IDs. (repeated)

    Returns:
      An object of the form:

        { # User Role Permission List Response
        "userRolePermissions": [ # User role permission collection.
          { # Contains properties of a user role permission.
            "permissionGroupId": "A String", # ID of the permission group that this user role permission belongs to.
            "kind": "dfareporting#userRolePermission", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#userRolePermission".
            "availability": "A String", # Levels of availability for a user role permission.
            "name": "A String", # Name of this user role permission.
            "id": "A String", # ID of this user role permission.
          },
        ],
        "kind": "dfareporting#userRolePermissionsListResponse", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#userRolePermissionsListResponse".
      }